aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTrevor Gamblin <trevor.gamblin@windriver.com>2020-04-08 12:21:37 -0400
committerBruce Ashfield <bruce.ashfield@gmail.com>2020-04-08 23:10:43 -0400
commit157ca6fe949d8ef7bb1a589b20e8e85f014c6b89 (patch)
treef29816740cf813e0cf9cf9a1b8cc5cb416c41cf8
parentc354bd1cac9930dddd565b0485424653d2c050cb (diff)
downloadmeta-cloud-services-157ca6fe949d8ef7bb1a589b20e8e85f014c6b89.tar.gz
meta-cloud-services-157ca6fe949d8ef7bb1a589b20e8e85f014c6b89.tar.bz2
meta-cloud-services-157ca6fe949d8ef7bb1a589b20e8e85f014c6b89.zip
python3-debtcollector: add six and wrapt to RDEPENDS
Add python3-wrapt and python3-six to RDEPENDS as debtcollector requires them for some functionality, e.g.: |root@qemux86-64:~# python3 |Python 3.7.6 (default, Apr 6 2020, 18:11:01) |[GCC 9.2.0] on linux |Type "help", "copyright", "credits" or "license" for more information. |>>> from debtcollector import removals |Traceback (most recent call last): | File "<stdin>", line 1, in <module> | File "/usr/lib64/python3.7/site-packages/debtcollector/removals.py", line 19, in <module> | import wrapt |ModuleNotFoundError: No module named 'wrapt' |>>> python3-six isn't needed for the python3 version of debtcollector, but add it to the RDEPENDS for consistency in backports of this patch (as python2 does require it). Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
-rw-r--r--meta-openstack/recipes-devtools/python/python-debtcollector.inc2
1 files changed, 2 insertions, 0 deletions
diff --git a/meta-openstack/recipes-devtools/python/python-debtcollector.inc b/meta-openstack/recipes-devtools/python/python-debtcollector.inc
index d519bfd..d6d18e3 100644
--- a/meta-openstack/recipes-devtools/python/python-debtcollector.inc
+++ b/meta-openstack/recipes-devtools/python/python-debtcollector.inc
@@ -22,4 +22,6 @@ DEPENDS += " \
# RDEPENDS_default:
RDEPENDS_${PN} += " \
${PYTHON_PN}-pbr \
+ ${PYTHON_PN}-wrapt \
+ ${PYTHON_PN}-six \
"